<div *ngIf="tasks" class="tasks-column {{boardTasksBackground}}">
  <div class="tasks-column-title"><p>{{status}}</p></div>
  <form [formGroup]="formColor">
    <div formGroupName="colors_div">
      <select formControlName="color" (change)="changeColor(boardId, status, formColor.value)">
        <option [selected]="boardTasksBackground === 'red'" value="red">red</option>
        <option [selected]="boardTasksBackground === 'blue'" value="blue">blue</option>
        <option [selected]="boardTasksBackground === 'green'" value="green">green</option>
      </select>
    </div>
  </form>
  <div class="tasks-column-item">
    <ng-container *ngFor="let task of tasks | search: textSearch | sort: [selectedSort, selectedOrder]">
      <ng-container *ngIf="task.status === status">
        <app-task [task]="task" [boardId]="boardId"></app-task>
      </ng-container>
    </ng-container>
  </div>
</div>
